.popup-window {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;

    opacity: 0;
    visibility: hidden;
    -webkit-transition: all .2s ease-in;
    -o-transition: all .2s ease-in;
    transition: all .2s ease-in;
}

.popup-window.is-shown-popup {
    opacity: 1;
    visibility: visible;
}

.popup-window__overlay {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.3);
    z-index: 2;
}

.popup-window__content {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    max-width: 100%;
    max-height: 100%;
    height: fit-content;
    width: fit-content;
    z-index: 3;
}

.popup-window__content img,
.popup-window__content picture {
    max-width: 750px;
    max-height: 100%;
    object-fit: contain;
}

.popup-window__close {
    padding: 0;
    margin: 0;
    position: absolute;
    right: 12px;
    top: 12px;
    width: 24px;
    height: 24px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    cursor: pointer;
    background: transparent;
    outline: none;
    border: none;
    z-index: 2;
}
